# Simulation List

Simulation List; Simulation ID, Simulation Name, Simulation Agent (with status), Enrichment Status, Last Prevention Result, Last Detection Result (if Available)
Default limit: 25, Default offset: 0
Max limit: 50

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

Simulations List endpoint returns the list of you latest simulation result overview as in Picus Platform > Simulations tab. Latest simulation run results are included. You can use filtration to access the exact simulation result.

You can get the Simulation ID from this endpoint and later request simulation details from "Simulation Detail" endpoint.

Example

Get the simulation list that runs on Agent: "My Agent" and Prevention score between: 50 and 75

curl --request GET \
     --url 'https://api.picussecurity.com/v1/simulations?agent_name=My%20Agent&prevention_result_lte=75&prevention_result_gte=50' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer access_token'
{
  "simulations": [
    {
      "simulation_id": 1,
      "simulation_name": "Simulation 1",
      "agent": {
        "name": "My Agent",
        "id": 1556,
        "status": "dead",
        "type": "Windows",
        "version": "4.1.1.0"
      },
      "template_id": 1,
      "template_name": "Template 1",
      "last_prevention_security_score": 60,
      "status": "COMPLETED",
      "completion_ratio": 100,
      "status_details": {
        "prevention": {
            "total_threat_count": 2,
            "completed_threat_count": 2
        },
        "detection": {
            "total_threat_count": 2,
            "completed_threat_count": 2
        }
      },
      "has_detection_analysis": false,
      "has_last_run_detection_analysis": false
    },
    {
      "simulation_id": 1,
      "simulation_name": "Simulation 2",
      "agent": {
        "name": "My Agent",
        "id": 1556,
        "status": "alive",
        "type": "Windows",
        "version": "4.1.1.0"
      },
      "last_prevention_security_score": 70,
      "last_detection_security_score": 100,
      "status": "COMPLETED",
      "detection_analysis": {
        "integrations": [
          {
            "product_name": "Securonix",
            "id": 135
          }
        ]
      },
      "has_detection_analysis": true,
      "has_last_run_detection_analysis": true,
      "updated_at": 1705670514353
    },
  ],
  "pages": {
    "total_count": 38,
    "limit": 25,
    "offset": 0
  }
}
📘

Pagination

Default Limit: 25, Max Limit: 50

Query Params
int64
int64
status
array of strings

Filter with Status (one or more status): RUNNING | STOPPED | WAITING FOR THE FIRST RUN | NOT STARTED | COMPLETED

status
string

Filter with Simulation name.

string

Filter with Agent name.

uint64

Filter with Agent id.

string

Filter with Template name.

uint64

Filter with Template id.

int64
-1 to 100

Filter with Prevention Result Less Than or Equals

int64
-1 to 100

Filter with Prevention Result Greater Than or Equals

int64
-1 to 100

Filter with Detection Result Less Than or Equals

int64
-1 to 100

Filter with Detection Result Greater Than or Equals

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json